com.singularsys.jep.configurableparser.tokens

## Class StringToken

- java.lang.Object
- - com.singularsys.jep.configurableparser.tokens.Token
  - - com.singularsys.jep.configurableparser.tokens.StringToken

- All Implemented Interfaces:
    java.io.Serializable

      public class StringToken
      extends Token

  Single or double quoted strings.
  Author:
    Richard Morris
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringToken(java.lang.String source, java.lang.String uquote, char delim, boolean incQuotes)` Build a string token.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCompleteString()`
    `char` | `getQuoteChar()`
    `java.lang.String` | `getUnquotedString()` Gets the string without quote marks.
    `boolean` | `isString()`

    - ### Methods inherited from class com.singularsys.jep.configurableparser.tokens.Token

      `equals, getColumnNumber, getLength, getLineNumber, getSource, hashCode, isBinary, isComment, isFunction, isIdentifier, isImplicitMulRhs, isNumber, isOperator, isPrefix, isSuffix, isSymbol, isTerminal, isTernary, isWhiteSpace, setPosition, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringToken

          public StringToken(java.lang.String source,
                             java.lang.String uquote,
                             char delim,
                             boolean incQuotes)

      Build a string token.
      Parameters:
        `source` - the source text which matches, includes quote marks
        `uquote` - the unquoted text, does not include quote marks
        `delim` - the delimiter character used
        `incQuotes` - wether quotes should be included

  - ### Method Detail

    - #### isString

          public boolean isString()

      Overrides:
        `isString` in class `Token`

    - #### getUnquotedString

          public java.lang.String getUnquotedString()

      Gets the string without quote marks.
      Returns:
        the matched string without quote marks

    - #### getCompleteString

          public java.lang.String getCompleteString()

    - #### getQuoteChar

          public char getQuoteChar()

Copyright © 2018 Singular Systems http://www.singularsys.com/jep